const express = require('express');
const router = express.Router();
const deviceController = require('../controllers/deviceListController'); // Adjust path as necessary

// Route to list all pending devices for admin approval
router.get('/get', deviceController.getPendingDevices);

// Route to approve or reject a device
router.post('/approve-device', deviceController.approveOrRejectDevice);

// Route to delete a device
router.delete('/delete-device', deviceController.deleteDevice);

module.exports = router;
